package com.sun.net.ssl;

import java.security.PrivateKey;
import java.security.cert.X509Certificate;
import java.security.Principal;

final class X509KeyManagerComSunWrapper implements X509KeyManager
{
    private javax.net.ssl.X509KeyManager theX509KeyManager;
    
    X509KeyManagerComSunWrapper(javax.net.ssl.X509KeyManager theX509KeyManager) {
        this.theX509KeyManager = theX509KeyManager;
    }
    
    @Override
    public String[] getClientAliases(String s, Principal[] array) {
        return this.theX509KeyManager.getClientAliases(s, array);
    }
    
    @Override
    public String chooseClientAlias(String s, Principal[] array) {
        return this.theX509KeyManager.chooseClientAlias(new String[] { s }, array, null);
    }
    
    @Override
    public String[] getServerAliases(String s, Principal[] array) {
        return this.theX509KeyManager.getServerAliases(s, array);
    }
    
    @Override
    public String chooseServerAlias(String s, Principal[] array) {
        return this.theX509KeyManager.chooseServerAlias(s, array, null);
    }
    
    @Override
    public X509Certificate[] getCertificateChain(String s) {
        return this.theX509KeyManager.getCertificateChain(s);
    }
    
    @Override
    public PrivateKey getPrivateKey(String s) {
        return this.theX509KeyManager.getPrivateKey(s);
    }
}
